#include <iostream>

using namespace std;

int main() 
{
	int N, L;
    int index = -1;
	cout << "Unesite broj stalaktita: "; cin >> N;
	cout << "Unesite Pericinu visinu: "; cin >> L;  
	for (int i = 1; i <= N; ++i) 
	{
		int Hi;
		cin >> Hi;
		if (Hi <= L)
		{  
			index = i;
			break;  
		}
	}
	cout << index << endl;  
	return 0;
}